Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
test-cases
Create test case
curl --request POST \
  --url https://api.pathors.com/v1/projects/{projectId}/test-cases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "systemPrompt": "<string>",
  "maxTurns": 4503599627370496,
  "variables": {},
  "acceptanceCriteria": [
    "<string>"
  ]
}
'
{
  "data": {
    "id": "<string>",
    "projectId": "<string>",
    "name": "<string>",
    "systemPrompt": "<string>",
    "maxTurns": 123,
    "variables": {},
    "acceptanceCriteria": [
      {
        "id": "<string>",
        "testCaseId": "<string>",
        "description": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Developer key created from the dashboard (Settings → Developer Keys)

Path Parameters

projectId
string
required

The ID of your project

Body

application/json
name
string
required
Minimum string length: 1
systemPrompt
string
required
Minimum string length: 1
maxTurns
integer
required
Required range: 1 <= x <= 9007199254740991
variables
object
acceptanceCriteria
string[]
Minimum string length: 1

Response

Created

data
object
required